Status: 3akpbiTa Start date: 01/10/2018
Priority: Hunakuia Due date: 01/23/2018
Assignee: Vitaliy Schetinin % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Butanuk!

Ham noHapobutcs Mapact, a TamM sHepreTn4eckoe paspelleHne NPUMEHSIETCS K NOMHTaM, a Hafo K CyMMe Mo BCEM NOMHTaM B
3a4aHHOM Kybuke.

KpOMe TOro, Hago NPUMeHNTb TO, YTO Mbl Aenann B cTunbbeHax:

Float_t edepSigma = sqrt(pow(fEdepErrorA,2) + pow(fEdepErrorB*TMath::Sqrt(edep/1000.),2) + pow(fEdepErrorC*edep,2));
edep = gRandom->Gaus(edep, edepSigma);

/1(

fEdepErrorB and fLYErrorB are expressed in per cent divided by square root of edep or LY,
expressed in MeVlike it is usually done in detector description. e.g. for Edep=0.001 (i.e. 1 Mev)
sigma is equal0.04*0.001Gev = 0.04 MeV

*/

Ceitvac B TAOACT HenpaBuibHO:

Float_t disp = a*a*edep + b*b*edep*edep;
edep = gRandom->Gaus(edep*LC, disp);

History

#1 - 01/15/2018 03:46 PM - Vratislav Chudoba

Cepreit, ykaxu, noxanyicra, CpoK UCMONHEHNS 3a0a4yu.

#2 - 01/23/2018 09:35 AM - Vitaliy Schetinin
- Due date set to 01/23/2018

Bonpoc: Mpouenypa pacueTta edep paHHee He CNpPOCTa NPUMEHSNAch 0TAENbHO K KaX 40MY MOUHTY. NoapasyMeBanoch, 4To KOPULMEHTbI
cBeTocbopa v owmnbkn cBeTocbopa He paBHOMEPHbI MO 06beMy 0AHOro Kpuctana. MoatoMy oH pasbueancs ceTkom. S NPaBUNbHO MOHWUMALD, YTO
cemyac HyXHo Ba pexuMa paboTsl: 1) Ha KpucTane 3afaHa cetka KoagpuUMEeHTOB cBeTocOopa v Toraa cHadana Kax bl MoVHT MPOXOAMT Yepes
BblYMCEHMe cBeToCOopa, a CBETOCO0p 3TO CyMMa CBeTCOOPOB OT MOUHTOB. 2) 3aLaH Koagp(ruUMeHT cBeTocOopa Ha KpMcTane U Mbl cHadYana
CKMMUpPYEM BCe SHEPT UM MOVHTOB 1 K PE3Y bTaTy NprMeHsieM K033 uLMEHT cBeTocOopa v owmnoKy?

#3 - 01/23/2018 10:55 AM - Sergey Belogurov

MpeanonaraeTcs, 4TO KaXAblit KyOUK B CETKE - 9TO CBO AETEKTOP, B KOTOPOM CyMMUPYIOTCS edep CO BCeX MOMHTOB BHYTPY 3TOro Kybuka,

MOTOM K 3TUM CyMMapHbIM-No-Ky6uKy edep NPUMEHSIOTCS 3aaHHble Ans 3TOro Kybuka cBeTocbop 1 Ko uLMEHTLI paspelieHus. MNocneaHrum
3Tanom CyMMUPYIOTCS pasbirpaHHbIe C y4eTOM paspeLleHnst CUrHabl MO BCeX KyOUKOB.
#4 - 01/25/2018 02:54 PM - Vitaliy Schetinin
- Status changed from Ortkpeita to 3akpbiTa

- % Done changed from 0 to 100
